Apache C++ Standard Library Reference Guide

## pointer_to_unary_function

Library: General utilities

    pointer_to_unary_function  unary_function

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A function object class that adapts a pointer to a function, to take the place of a unary_function

### Synopsis

    #include <functional>

    namespace std {
      template <class Arg, class Result>
      class pointer_to_unary_function;
    }

### Description

The pointer_to_unary_function class encapsulates a pointer to a single-argument function. The class uses `operator()` so that the resulting object serves as a function object for that function.

The `ptr_fun` function is overloaded to create instances of pointer_to_unary_function when included with the appropriate pointer to a function.

### Interface

    namespace std {

      template <class Arg, class Result>
      class pointer_to_unary_function : public
            unary_function<Arg, Result> {

        public:
        explicit pointer_to_unary_function (Result (*f)(Arg));
        Result operator() (const Arg&) const;
      };
    }

### See Also

Function Objects, pointer_to_binary_function, `ptr_fun()`, unary_function

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.7